# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_get_init_creds_opt

`krb5_get_init_creds_opt`

Store options for _krb5_get_init_creds .

## Declaration

typedef struct _krb5_get_init_creds_opt krb5_get_init_creds_opt

## Members

krb5_flags `krb5_get_init_creds_opt.flags`

krb5_deltat `krb5_get_init_creds_opt.tkt_life`

krb5_deltat `krb5_get_init_creds_opt.renew_life`

int `krb5_get_init_creds_opt.forwardable`

int `krb5_get_init_creds_opt.proxiable`

krb5_enctype * `krb5_get_init_creds_opt.etype_list`

int `krb5_get_init_creds_opt.etype_list_length`

krb5_address ** `krb5_get_init_creds_opt.address_list`

krb5_preauthtype * `krb5_get_init_creds_opt.preauth_list`

int `krb5_get_init_creds_opt.preauth_list_length`

krb5_data * `krb5_get_init_creds_opt.salt`